Bug 448756 - xorg-x11-drv-ati-6.8.0-4 breaks X with a Radeon X800SE
xorg-x11-drv-ati-6.8.0-4 breaks X with a Radeon X800SE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 12:25 EDT by Alfredo Ferrari
Modified: 2009-01-09 02:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:49:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log for version 6.7.196-1 (52.48 KB, text/plain)
2008-05-29 09:33 EDT, Alfredo Ferrari
no flags Details
X log for version 6.7.196-2 (52.48 KB, text/plain)
2008-05-29 09:33 EDT, Alfredo Ferrari
no flags Details
X log for version 6.7.196-6 (26.91 KB, text/plain)
2008-05-29 09:35 EDT, Alfredo Ferrari
no flags Details
X log for version 6.7.197-1 (26.55 KB, text/plain)
2008-05-29 09:36 EDT, Alfredo Ferrari
no flags Details
X log for version 6.8.0-4 (27.01 KB, text/plain)
2008-05-29 09:36 EDT, Alfredo Ferrari
no flags Details
X log for version 6.8.0-4, no xorg.conf (30.66 KB, text/plain)
2008-05-29 09:37 EDT, Alfredo Ferrari
no flags Details
Output of lspci -vv (15.31 KB, text/plain)
2008-05-29 09:37 EDT, Alfredo Ferrari
no flags Details
xorg.conf (1.32 KB, text/plain)
2008-05-29 09:39 EDT, Alfredo Ferrari
no flags Details

  None (edit)
Description Alfredo Ferrari 2008-05-28 12:25:12 EDT
Description of problem: after upgrading to xorg-x11-drv-ati-6.8.0-4 the "radeon"
driver crashes when X starts with a Radeon X800SE (R423) UK (PCIE)
Downgrading to xorg-x11-drv-ati-6.7.196-1 (the only other version I still had by
chance on a disk) fixes the problem.
Let me know which outputs would be useful for debugging. It would also be
helpful to know where one can find older updates (that is updates which are not
the latest ones, in case the latest update of a package badly breaks a machine
and one is forced to downgrade that package)


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-4 

How reproducible:
always

Steps to Reproduce:
1. upgrade to the latest xorg-x11-drv-ati for fc8
2. try to start X
3. ... no hope, a driver traceback is written on the log file and X refuses to
start whatever I do
  
Actual results: X crashes


Expected results: X should work (it worked for previous versions, with the
radeon driver including hardware acceleration)


Additional info:
Comment 1 Matěj Cepl 2008-05-28 18:26:14 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Alfredo Ferrari 2008-05-29 09:33:03 EDT
Created attachment 307052 [details]
X log for version 6.7.196-1
Comment 3 Alfredo Ferrari 2008-05-29 09:33:46 EDT
Created attachment 307053 [details]
X log for version 6.7.196-2
Comment 4 Alfredo Ferrari 2008-05-29 09:35:16 EDT
Created attachment 307055 [details]
X log for version 6.7.196-6
Comment 5 Alfredo Ferrari 2008-05-29 09:36:02 EDT
Created attachment 307056 [details]
X log for version 6.7.197-1
Comment 6 Alfredo Ferrari 2008-05-29 09:36:37 EDT
Created attachment 307057 [details]
X log for version 6.8.0-4
Comment 7 Alfredo Ferrari 2008-05-29 09:37:31 EDT
Created attachment 307058 [details]
X log for version 6.8.0-4, no xorg.conf
Comment 8 Alfredo Ferrari 2008-05-29 09:37:56 EDT
Created attachment 307060 [details]
Output of lspci -vv
Comment 9 Alfredo Ferrari 2008-05-29 09:39:10 EDT
Created attachment 307062 [details]
xorg.conf
Comment 10 Alfredo Ferrari 2008-05-29 09:42:16 EDT
Hi, I attached the X logs for the following xorg-x11-drv-ati versions:

6.7.196-1.fc8 (working)
6.7.196-2.fc8 (working)
6.7.196-6.fc8 (broken)
6.7.197-1.fc8 (broken)
6.8.0-4.fc8   (broken)
6.8.0-4.fc8   (no xorg.conf, broken)

as well as the xorg.conf and the output of lspci -vv

Let me know if you need extra infos
Comment 11 Bug Zapper 2008-11-26 05:47:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:49:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.